LZMAINFO(1)

NAMN
lzmainfo — visa information lagrad i filhuvudet i .lzma

SYNOPSIS
lzmainfo [--help] [--version] [fil…]

BESKRIVNING
lzmainfo visar information som finns lagrad i filhuvudet i .lzma. Den läser de första 13 byten från den angivna filen, avkodar huvudet, och skriver ut det till standard ut i mänskligt läsbart format. Om inga filer anges eller fil är -, läses standard in.

Vanligen är den intressantaste informationen den okomprimerade storleken och lexikonstorleken. Okomprimerad storlek kan endast visas om filen är i den icke-strömmande .lzma-formatvarianten. Mängden minne som krävs för att dekomprimera filen är några dussin kilobyte plus lexikonstorleken.

lzmainfo inkluderas i XZ Utils primärt för bakåtkompatibilitet med LZMA Utils.

SLUTSTATUS

0   Allt är bra.

1   Ett fel uppstod.

FEL
lzmainfo använder MB medan det korrekta suffixet vore MiB (2²⁰ byte). Detta är för att behålla utdata kompatibel med LZMA Utils.

SE ÄVEN
xz(1)